/* folder.h
**
** header file for `folder.c'.
** (2nd Level `xFile' access)
**
*/
#ifndef _FOLDER_H
#define _FOLDER_H

#include <unistd.h>
#include <sys/types.h>
#include <time.h>

#include "xfile.h"

/* Die Behandlung der Prefix- und Indexdaten wird hier versteckt. Wir
** haben schlielich den UID-Zhler als Prefix-Daten und die jeweilige UID
** als Indexdaten. Diese mssen an dieser Stelle auch nicht auftauchen.
*/
xFile flOpen (char *xname, char *amode, ...);

/* Kopiere die UID der aktuellen E-Mail von einem Folder in den anderen. */
void flCopyUID (xFile fx, xFile fy);

/* Kopiere den aktuellen UID-Zhler des einen Folders in den anderen. */
void flCopyNextUID (xFile fx, xFile fy);

/* Lies die UID der aktuellen E-Mail. */
void flGetUID (xFile fx, time_t *uidhigh, int *uidlow);

/* Trage eine neue UID ein. */
void flSetNextUID (xFile fx);

#endif /* defined(_FOLDER_H) */
